Bug 676189 - [Springdale] Intel 855 misrenders gnome-shell
[Springdale] Intel 855 misrenders gnome-shell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: F15GNOMEfail
  Show dependency treegraph
 
Reported: 2011-02-08 21:24 EST by Luya Tshimbalanga
Modified: 2014-11-18 11:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 11:59:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Rendering issue (559.27 KB, image/png)
2011-02-08 21:24 EST, Luya Tshimbalanga
no flags Details
Xorg.0.log file (27.38 KB, text/plain)
2011-02-14 20:02 EST, Luya Tshimbalanga
no flags Details
dmesg (122.50 KB, text/plain)
2011-02-14 20:04 EST, Luya Tshimbalanga
no flags Details
/var/log/messages (179.32 KB, text/plain)
2011-02-17 14:22 EST, Luya Tshimbalanga
no flags Details

  None (edit)
Description Luya Tshimbalanga 2011-02-08 21:24:52 EST
Created attachment 477722 [details]
Rendering issue

Description of problem:
Highlighting some selection render white rectangle instead on rounded corners.

Version-Release number of selected component (if applicable):
2.91.6-2

How reproducible:
Always

Steps to Reproduce:
1.Star gnome-shell
2.
3.
  
Actual results:
White rectangle

Expected results:
Scroll bar should be rounded

Additional info:
See image and http://www.smolts.org/client/show/pub_14b91cdd-42cc-4b6d-9b42-1a2f6e2ff262
Comment 1 Peter Robinson 2011-02-09 03:17:05 EST
Can you please provide details of the graphics card
Comment 2 Owen Taylor 2011-02-09 11:56:52 EST
(In reply to comment #1)
> Can you please provide details of the graphics card

It's an Intel 855 from the smolt link. We'll be black-listing 855 from starting gnome-shell once we get the blacklist mechanism in place - just too old / slow and not debugged for this type of stuff.
Comment 3 Owen Taylor 2011-02-09 12:05:02 EST
Reassigning to Mesa where the bug probably is, though it may or may not be fixable.
Comment 4 Luya Tshimbalanga 2011-02-09 15:23:53 EST
(In reply to comment #2)
> It's an Intel 855 from the smolt link. We'll be black-listing 855 from starting
> gnome-shell once we get the blacklist mechanism in place - just too old / slow
> and not debugged for this type of stuff.

As long several heavy CPU intensive applications are not running, Intel 855 is not slow on gnome-shell because I intensively use since Fedora 13. Letting that videocard users know about some rendering issue as known bug should be enough.
Comment 5 Matěj Cepl 2011-02-14 09:47:15 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Luya Tshimbalanga 2011-02-14 20:02:14 EST
Created attachment 478744 [details]
Xorg.0.log file
Comment 7 Luya Tshimbalanga 2011-02-14 20:04:20 EST
Created attachment 478745 [details]
dmesg
Comment 8 Luya Tshimbalanga 2011-02-14 20:14:04 EST
/var/log/messages file size is huge. I cannot attach it.
Comment 9 Luya Tshimbalanga 2011-02-17 14:22:15 EST
Created attachment 479383 [details]
/var/log/messages

I had to remove 42301 lines from messages:
Feb 17 10:28:04 muamba kernel: [  174.622157] [drm:intel_prepare_page_flip] *ERROR* Prepared flip multiple times


which increase the size to nearly 1GiB
Comment 10 Peter Robinson 2011-03-01 22:48:38 EST
This might be fixed in 2.6.38rc7 with this commit:

Daniel Vetter (1):
      drm/i915: fix corruptions on i8xx due to relaxed fencing
Comment 11 Luya Tshimbalanga 2011-03-15 03:42:29 EDT
I have no longer laptop with Intel 855. It died weeks ago and I now use Toshiba C650D based from AMD 350,
Comment 12 Matěj Cepl 2011-03-18 12:03:40 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 13 Craig 2011-04-08 00:14:36 EDT
Has RC7 been pushed out?  I've run system updates in F15 and only have RC5

(This bug is reproducible on my system)
Comment 14 Craig 2011-04-08 00:34:03 EDT
(FWIW, the 855GM seems to show a couple of issues

- white boxes instead of graphics on the left side launch bar / graphic becomes visible when you mouse over.  

- similiarly, the icons in the top bar sometimes are not visible until you mouse over.

- boxes where there should be rounded corners have white boxes for the corners, not all the time though... the left side launch bar icons, the shutdown/reboot dialog, etc.

- on occassion the top bar turns white, doesn't redraw properly.  But if you move your mouse over it, it redraws ok and/or reverts to normal at points.  [most noticiable when I click on the activities and then applications / then it turns white].  

I'll relog these seperately once I've tried the new kernel (RC7)

FWIW, the interface seems to run just fine on this card.  I don't care to run more OpenGL apps because this card can't handle it... but like the new interface and would be happy with just that.  [Interesting that Gnome3 seems to run better than Unity on this card/driver/kernel]
Comment 15 Michal Nowak 2011-04-22 04:51:16 EDT
Reopening. Actively using this machine and I confirm the problem(s) with rendering as reported by Luya and Craig and that in spite of this Gnome Shell is snappy thus should be fixed.

Came to this issue when started GNOME3 Final test day LiveCD which is claimed to be Fedora 15 Beta + "latest packages".

Let me know which component to bug upstream, or whether I should try to update some component (DRM, Mesa, intel X11 driver, ...) from latest upstream/Rawhide first and test on my own.
Comment 16 Sébastien Wilmet 2012-10-24 12:18:06 EDT
There are still issues with Fedora 17 and 18 alpha.
Comment 17 Fedora End Of Life 2013-04-03 15:11:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 18 Adam Jackson 2014-11-18 11:59:37 EST
gnome3 doesn't pretend to support dx8 kit anymore.  If you're still having rendering issues with llvmpipe and gnome-shell please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.